Bug 246336 - Ordering incorrect
Summary: Ordering incorrect
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-Sort (show other bugs)
Version: 1.4.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-31 10:16 UTC by Simon
Modified: 2017-08-18 06:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon 2010-07-31 10:16:13 UTC
Version:           1.4.0 (using KDE 4.4.3) 
OS:                Linux

When running the importer on my SD card (card reader) I often get wrong ordering when large video files (50 MB avi vs. 3 MB jpg) are on the SD card as well.

After clicking View > Show last photo first twice the order is correct.

Reproducible: Always




OS: Linux (x86_64) release 2.6.34-0.slh.11-sidux-amd64
Compiler: cc
Comment 1 caulier.gilles 2011-08-04 13:15:00 UTC
Git commit db28ce80274cf9dc8c4eeb6bcb93354aeae93f3b by Gilles Caulier.
Committed on 04/08/2011 at 15:09.
Pushed by cgilles into branch 'master'.

Do not overwrite download status from DB when thumb/info are get on the fly. This fix download indicators over icon view items.
Do not overwrite file mtime get at camera connection when metadata are updated with thumbnails. This fix Ordering of icon view items.
Fix loop to get download status. No need to copy map.
Improve and simplify icon-view loop to refresh items depending of sort order.
Less CameraIconItem dependency to preprare camera Icon View Qt4 model/view port.
BUGS: 260669
BUGS: 246336

M  +1    -0    utilities/cameragui/items/cameraiconitem.cpp
M  +2    -4    utilities/cameragui/controller/camerahistoryupdater.cpp
M  +1    -1    utilities/cameragui/controller/camerathumbsctrl.cpp
M  +24   -33   utilities/cameragui/main/cameraui.cpp

http://commits.kde.org/digikam/db28ce80274cf9dc8c4eeb6bcb93354aeae93f3b